Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.serverstub
Class DomainHandler

    java.lang.Object
      com.verisign.epp.framework.EPPDomainHandler
          com.verisign.epp.serverstub.DomainHandler

All Implemented Interfaces:
  EPPEventHandler

Direct Known Subclasses:
  LaunchDomainHandler, NamestoreExtDomainHandler, PersRegDomainHandler, PremiumDomainHandler, RelatedDomainHandler, WhoisDomainHandler

    public class DomainHandler

extends EPPDomainHandler

The `DomainHandler` class is a concrete implementation of the abstract `com.verisign.epp.framework.EPPDomainHandler` class. It defines the Server's response to all received EPP Host Commands.

Author:
  $Author: jim $
See Also:
  `EPPEvent`, `EPPEventResponse`

Constructor Summary
`DomainHandler()` Constructs an instance of DomainHandler

Method Summary
`protected EPPEventResponse` | `doDomainCheck(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Domain Check command is received.
`protected EPPEventResponse` | `doDomainCreate(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Domain Create command is received.
`protected EPPEventResponse` | `doDomainDelete(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Domain Delete command is received.
`protected EPPEventResponse` | `doDomainInfo(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Domain Info command is received.
`protected EPPEventResponse` | `doDomainRenew(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Domain Renew command is received.
`protected EPPEventResponse` | `doDomainTransfer(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Domain Transfer command is received.
`protected EPPEventResponse` | `doDomainUpdate(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Domain Update command is received.
`protected void` | `postHandleEvent(EPPEvent aEvent, java.lang.Object aData)` Handles any common behavior that all Domain commands need to execute after they execute their command specific behavior.
`protected void` | `preHandleEvent(EPPEvent aEvent, java.lang.Object aData)` Handles any common behavior that all Domain commands need to execute before they execute their command specific behavior.

Methods inherited from class com.verisign.epp.framework.EPPDomainHandler
`getNamespace, handleEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DomainHandler

    public DomainHandler()

  Constructs an instance of DomainHandler

Method Detail

### preHandleEvent

    protected void preHandleEvent(EPPEvent aEvent,
                                  java.lang.Object aData)
                           throws EPPHandleEventException

  Handles any common behavior that all Domain commands need to execute before they execute their command specific behavior.

  Overrides:
    `preHandleEvent` in class `EPPDomainHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPDomainHandler` This is assumed to be an instance of SessionData here.
  Throws:
    `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`

### postHandleEvent

    protected void postHandleEvent(EPPEvent aEvent,
                                   java.lang.Object aData)
                            throws EPPHandleEventException

  Handles any common behavior that all Domain commands need to execute after they execute their command specific behavior.

  Overrides:
    `postHandleEvent` in class `EPPDomainHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPDomainHandler`
  Throws:
    `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`

### doDomainCheck

    protected EPPEventResponse doDomainCheck(EPPEvent aEvent,
                                             java.lang.Object aData)

  Invoked when a Domain Check command is received.

  Specified by:
    `doDomainCheck` in class `EPPDomainHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doDomainRenew

    protected EPPEventResponse doDomainRenew(EPPEvent aEvent,
                                             java.lang.Object aData)

  Invoked when a Domain Renew command is received.

  Specified by:
    `doDomainRenew` in class `EPPDomainHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doDomainDelete

    protected EPPEventResponse doDomainDelete(EPPEvent aEvent,
                                              java.lang.Object aData)

  Invoked when a Domain Delete command is received.

  Specified by:
    `doDomainDelete` in class `EPPDomainHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doDomainCreate

    protected EPPEventResponse doDomainCreate(EPPEvent aEvent,
                                              java.lang.Object aData)

  Invoked when a Domain Create command is received.

  Specified by:
    `doDomainCreate` in class `EPPDomainHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doDomainTransfer

    protected EPPEventResponse doDomainTransfer(EPPEvent aEvent,
                                                java.lang.Object aData)

  Invoked when a Domain Transfer command is received.

  Specified by:
    `doDomainTransfer` in class `EPPDomainHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doDomainUpdate

    protected EPPEventResponse doDomainUpdate(EPPEvent aEvent,
                                              java.lang.Object aData)

  Invoked when a Domain Update command is received.

  Specified by:
    `doDomainUpdate` in class `EPPDomainHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doDomainInfo

    protected EPPEventResponse doDomainInfo(EPPEvent aEvent,
                                            java.lang.Object aData)

  Invoked when a Domain Info command is received.

  Specified by:
    `doDomainInfo` in class `EPPDomainHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.